<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionFillFuel Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d6b/a07386.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionFillFuel Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionFillFuel:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/d6b/a07386.png" usemap="#ExpansionActionFillFuel_map" alt=""/>
  <map id="ExpansionActionFillFuel_map" name="ExpansionActionFillFuel_map">
<area href="../../df/dd9/a04702.html" alt="ActionContinuousBase" shape="rect" coords="0,0,148,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adbd11fa27f7a8fb7c85bfeec75d7c9ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6b/a07386.html#adbd11fa27f7a8fb7c85bfeec75d7c9ba">ExpansionActionFillFuel</a> ()</td></tr>
<tr class="separator:adbd11fa27f7a8fb7c85bfeec75d7c9ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d73a4c74bb29ef043480610647be301"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6b/a07386.html#a3d73a4c74bb29ef043480610647be301">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a3d73a4c74bb29ef043480610647be301"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2792962dc040ac4ade05ad25b34c58ee"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6b/a07386.html#a2792962dc040ac4ade05ad25b34c58ee">GetText</a> ()</td></tr>
<tr class="separator:a2792962dc040ac4ade05ad25b34c58ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2b9b9ce8e62ba4798f156e5297b1075"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6b/a07386.html#ab2b9b9ce8e62ba4798f156e5297b1075">ActionCondition</a> (<a class="el" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="el" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="el" href="../../d7/d82/a03774.html">ItemBase</a> item)</td></tr>
<tr class="separator:ab2b9b9ce8e62ba4798f156e5297b1075"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad2957b67b86000a44355062dcd76dba6"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6b/a07386.html#ad2957b67b86000a44355062dcd76dba6">FUEL_SELECTION_NAME</a> = &quot;refill&quot;</td></tr>
<tr class="separator:ad2957b67b86000a44355062dcd76dba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/d4c/a02846.html">ExpansionActionFillFuel.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d4c/a02846_source.html#l00013">13</a> of file <a class="el" href="../../d5/d4c/a02846_source.html">expansionactionfillfuel.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adbd11fa27f7a8fb7c85bfeec75d7c9ba" name="adbd11fa27f7a8fb7c85bfeec75d7c9ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbd11fa27f7a8fb7c85bfeec75d7c9ba">&#9670;&#160;</a></span>ExpansionActionFillFuel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionFillFuel::ExpansionActionFillFuel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d4c/a02846_source.html#l00017">17</a> of file <a class="el" href="../../d5/d4c/a02846_source.html">expansionactionfillfuel.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab2b9b9ce8e62ba4798f156e5297b1075" name="ab2b9b9ce8e62ba4798f156e5297b1075"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2b9b9ce8e62ba4798f156e5297b1075">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionFillFuel::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/de5/a03966.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/de3/a04854.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d82/a03774.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d4c/a02846_source.html#l00038">38</a> of file <a class="el" href="../../d5/d4c/a02846_source.html">expansionactionfillfuel.c</a>.</p>

</div>
</div>
<a id="a3d73a4c74bb29ef043480610647be301" name="a3d73a4c74bb29ef043480610647be301"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d73a4c74bb29ef043480610647be301">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionFillFuel::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d4c/a02846_source.html#l00027">27</a> of file <a class="el" href="../../d5/d4c/a02846_source.html">expansionactionfillfuel.c</a>.</p>

</div>
</div>
<a id="a2792962dc040ac4ade05ad25b34c58ee" name="a2792962dc040ac4ade05ad25b34c58ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2792962dc040ac4ade05ad25b34c58ee">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionFillFuel::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d4c/a02846_source.html#l00033">33</a> of file <a class="el" href="../../d5/d4c/a02846_source.html">expansionactionfillfuel.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad2957b67b86000a44355062dcd76dba6" name="ad2957b67b86000a44355062dcd76dba6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2957b67b86000a44355062dcd76dba6">&#9670;&#160;</a></span>FUEL_SELECTION_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionFillFuel::FUEL_SELECTION_NAME = &quot;refill&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d4c/a02846_source.html#l00015">15</a> of file <a class="el" href="../../d5/d4c/a02846_source.html">expansionactionfillfuel.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/<a class="el" href="../../d5/d4c/a02846_source.html">expansionactionfillfuel.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d6b/a07386.html">ExpansionActionFillFuel</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
